Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class IdentitySelector

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.IdentitySelector

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator

public class IdentitySelector
extends SchemaStructure

A class which represents the selector for an IdentityConstraint

See Also:
  Serialized Form

Constructor Summary
`IdentitySelector(java.lang.String xpath)` Creates a new IdentitySelector.

Method Summary
`Selection` | `getSelection()` Return the compiled XPath expression
`java.lang.String` | `getXPath()` Returns the XPath of this IdentitySelector.
`void` | `setSelection(Selection selection)` Set the compiled XPath expression
`void` | `setXPath(java.lang.String xpath)` Sets the XPath expression for this Selector.
`boolean` | `validate(javax.xml.transform.ErrorListener errorListener)` Checks the validity of this Schema defintion.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getSchema, getSystemId, getValidationStatus, lookForCycles, setFixupStatus, setLineNumber, setLocator, setSchema, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentitySelector

    public IdentitySelector(java.lang.String xpath)
                     throws SchemaException

  Creates a new IdentitySelector.

Parameters:
  `xpath` - the xpath for the IdentitySelector. Must not be null.
Throws:
  `SchemaException` - if xpath is null.

Method Detail

### getXPath

    public java.lang.String getXPath()

  Returns the XPath of this IdentitySelector. This value will never be null.

  Returns:
    the XPath of this IdentitySelector.

### getSelection

    public Selection getSelection()

  Return the compiled XPath expression

  Returns:
    the expression as a Selector object

### setXPath

    public void setXPath(java.lang.String xpath)
                  throws SchemaException

  Sets the XPath expression for this Selector.

  Parameters:
    `xpath` - the XPath expression for this IdentitySelector. Must not be null.
  Throws:
    `SchemaException` - if xpath is null.

### setSelection

    public void setSelection(Selection selection)

  Set the compiled XPath expression

  Parameters:
    `selection` -

### validate

    public boolean validate(javax.xml.transform.ErrorListener errorListener)
                     throws SchemaException

  Checks the validity of this Schema defintion.

  Throws:
    `SchemaException` - when this Schema definition is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD